<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die ;

use Joomla\CMS\Language\Text;

if ($this->row->published || $this->row->payment_method != 'os_mobilpay')
{
    $header = Text::_('PF_COMPLETE');
}
else
{
    $header = Text::_('PF_PAYMENT_PENDING');
}
?>
<div id="payment-complete-page" class="<?php echo $this->bootstrapHelper->getClassMapping('row-fluid');?> pf-container">
	<h1 class="title"><?php echo $header; ?></h1>
	<div class="pm-message <?php echo $this->bootstrapHelper->getClassMapping('clearfix');?>">
		<?php echo $this->message; ?>
	</div>
    <?php
        if ($this->trackingCode)
        {
            echo $this->trackingCode;
        }
    ?>
</div>