<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

$controlGroupClass = $bootstrapHelper ? $bootstrapHelper->getClassMapping('control-group') : 'control-group';
$controlLabelClass = $bootstrapHelper ? $bootstrapHelper->getClassMapping('control-label') : 'control-label';
$controlsClass     = $bootstrapHelper ? $bootstrapHelper->getClassMapping('controls') : 'controls';

if ($tableLess)
{
?>
    <div class="<?php echo $class ?>" <?php echo $controlGroupAttributes ?>>
        <div class="<?php echo $controlLabelClass ?>">
			<?php echo $label; ?>
        </div>
        <div class="<?php echo $controlsClass; ?>">
			<?php echo $input; ?>
        </div>
    </div>
<?php
}
else
{
?>
    <tr <?php echo $controlGroupAttributes; ?>>
        <td class="key">
            <?php
                echo $row->title;

                if ($row->required)
                {
                ?>
                    <span class="required">*</span>
                <?php
                }
            ?>
        </td>
        <td>
             <?php echo $input; ?>
        </td>
    </tr>
<?php
}

