<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

$uploadFolder = PMFormHelper::getConfigValue('path_upload');

if (!$uploadFolder)
{
	$uploadFolder = 'images/com_pmform';
}

$pathUpload = JPATH_ROOT . '/' . $uploadFolder;
?>
<input type="file"
       name="<?php echo $name; ?>" id="<?php echo $name; ?>"
       value="<?php echo htmlspecialchars($value, ENT_COMPAT, 'UTF-8'); ?>"<?php echo $attributes; ?> />
<?php
if ($value && file_exists($pathUpload . '/' . $value))
{
	echo Text::_('PF_CURRENT_FILE') . ' <strong>' . $value . '</strong> <a href="index.php?option=com_pmform&task=download_file&file_name=' . $value . '">' . Text::_('PF_DOWNLOAD') . '</a>';
}